summaryrefslogtreecommitdiff
path: root/source3/script/tests/test_local_s3.sh
diff options
context:
space:
mode:
Diffstat (limited to 'source3/script/tests/test_local_s3.sh')
-rwxr-xr-xsource3/script/tests/test_local_s3.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/source3/script/tests/test_local_s3.sh b/source3/script/tests/test_local_s3.sh
new file mode 100755
index 0000000000..083162d92b
--- /dev/null
+++ b/source3/script/tests/test_local_s3.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+# this runs the file serving tests that are expected to pass with samba3
+
+if [ $# != 0 ]; then
+cat <<EOF
+Usage: test_local_s3.sh
+EOF
+exit 1;
+fi
+
+incdir=`dirname $0`
+. $incdir/test_functions.sh
+
+failed=0
+
+testit "talloctort" $VALGRIND $BINDIR/talloctort || \
+ failed=`expr $failed + 1`
+
+testok $0 $failed